public class JRXmlaQueryExecuter extends JRAbstractQueryExecuter
JRAbstractQueryExecuter.QueryParameter, JRAbstractQueryExecuter.QueryParameterEntry, JRAbstractQueryExecuter.QueryParameterVisitor, JRAbstractQueryExecuter.ValuedQueryParameter, JRAbstractQueryExecuter.VisitExceptionWrapperCLAUSE_POSITION_ID, clauseFunctions, dataset| Constructor and Description |
|---|
JRXmlaQueryExecuter(JasperReportsContext jasperReportsContext,
JRDataset dataset,
java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap) |
JRXmlaQueryExecuter(JRDataset dataset,
java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)
Deprecated.
|
| Modifier and Type | Method and Description |
|---|---|
protected void |
addParameterList(javax.xml.soap.SOAPEnvelope envelope,
javax.xml.soap.SOAPElement eParent,
java.lang.String typeName,
java.lang.String listName,
java.util.Map<java.lang.String,java.lang.String> params) |
boolean |
cancelQuery()
Cancels the query if it's currently running.
|
void |
close()
Closes resources kept open during the data source iteration.
|
JRDataSource |
createDatasource()
Executes the query and creates a
JRDataSource out of the result. |
protected javax.xml.soap.SOAPMessage |
createQueryMessage() |
protected javax.xml.soap.SOAPConnection |
createSOAPConnection() |
protected javax.xml.soap.SOAPMessage |
executeQuery(javax.xml.soap.SOAPMessage message,
java.net.URL url)
Sends the SOAP Message over the connection and returns the
Result-SOAP-Message
|
protected java.lang.String |
getCanonicalQueryLanguage()
Returns a canonical query language for this query executer implementation.
|
protected java.lang.String |
getParameterReplacement(java.lang.String parameterName)
Returns the replacement text for a query parameter.
|
JROlapResult |
getResult() |
protected java.lang.String |
getSoapUrl() |
protected void |
handleCellErrors(java.util.Iterator<?> errorElems) |
protected void |
handleHierInfo(JRXmlaResultAxis axis,
javax.xml.soap.SOAPElement hierInfoElement) |
protected void |
handleResultFault(javax.xml.soap.SOAPFault fault) |
protected void |
handleTupleElement(JRXmlaResultAxis axis,
javax.xml.soap.SOAPElement tupleElement) |
protected void |
handleTuplesElement(JRXmlaResultAxis axis,
javax.xml.soap.SOAPElement tuplesElement) |
protected void |
parseAxesElement(javax.xml.soap.SOAPElement axesElement) |
protected void |
parseAxesInfoElement(javax.xml.soap.SOAPElement axesInfoElement) |
protected void |
parseCellDataElement(javax.xml.soap.SOAPElement cellDataElement) |
protected void |
parseOLAPInfoElement(javax.xml.soap.SOAPElement olapInfoElement) |
protected void |
parseResult(javax.xml.soap.SOAPMessage reply)
Parses the result-Message into this class's structure
|
protected java.lang.String |
prettyPrintSOAP(javax.xml.soap.SOAPElement element) |
addQueryMultiParameters, addQueryMultiParameters, addQueryParameter, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, findExtensionQueryFunction, getBooleanParameter, getBooleanParameter, getBooleanParameterOrProperty, getBooleanParameterOrProperty, getCollectedParameterNames, getCollectedParameters, getJasperReportsContext, getParameter, getParameterValue, getParameterValue, getPropertiesUtil, getQueryString, getStringParameter, getStringParameterOrProperty, getValueParameter, getValueParameter, parameterHasValue, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction, visitQueryParameterspublic JRXmlaQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)
public JRXmlaQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)
JRXmlaQueryExecuter(JasperReportsContext, JRDataset, Map).protected java.lang.String getCanonicalQueryLanguage()
JRAbstractQueryExecuterThe canonical language is used to retrieve extensions for the query executer.
The default implementation returns the runtime query language used in the dataset, but query executer implementations should override this method and return a fixed language.
getCanonicalQueryLanguage in class JRAbstractQueryExecuterprotected java.lang.String getParameterReplacement(java.lang.String parameterName)
JRAbstractQueryExecutergetParameterReplacement in class JRAbstractQueryExecuterparameterName - the parameter nameJRQueryChunk.TYPE_PARAMETERpublic JROlapResult getResult()
public JRDataSource createDatasource() throws JRException
JRQueryExecuterJRDataSource out of the result.JRDataSource wrapping the query execution result.JRExceptionprotected java.lang.String getSoapUrl()
throws java.net.MalformedURLException
java.net.MalformedURLExceptionpublic boolean cancelQuery()
throws JRException
JRQueryExecutertrue if and only if the query was running and it has been canceledJRExceptionpublic void close()
JRQueryExecutercreateDatasource.protected javax.xml.soap.SOAPConnection createSOAPConnection()
protected javax.xml.soap.SOAPMessage createQueryMessage()
protected void addParameterList(javax.xml.soap.SOAPEnvelope envelope,
javax.xml.soap.SOAPElement eParent,
java.lang.String typeName,
java.lang.String listName,
java.util.Map<java.lang.String,java.lang.String> params)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected javax.xml.soap.SOAPMessage executeQuery(javax.xml.soap.SOAPMessage message,
java.net.URL url)
protected void parseResult(javax.xml.soap.SOAPMessage reply)
throws javax.xml.soap.SOAPException
reply - The reply-Message from the Serverjavax.xml.soap.SOAPExceptionprotected void handleResultFault(javax.xml.soap.SOAPFault fault)
protected void parseOLAPInfoElement(javax.xml.soap.SOAPElement olapInfoElement)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void parseAxesInfoElement(javax.xml.soap.SOAPElement axesInfoElement)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void parseAxesElement(javax.xml.soap.SOAPElement axesElement)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void parseCellDataElement(javax.xml.soap.SOAPElement cellDataElement)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void handleCellErrors(java.util.Iterator<?> errorElems)
throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void handleHierInfo(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement hierInfoElement) throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void handleTuplesElement(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement tuplesElement) throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected void handleTupleElement(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement tupleElement) throws javax.xml.soap.SOAPException
javax.xml.soap.SOAPExceptionprotected java.lang.String prettyPrintSOAP(javax.xml.soap.SOAPElement element)
© 2001-2010 Jaspersoft Corporation www.jaspersoft.com